> ## Documentation Index
> Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a sandbox memory snapshot



## OpenAPI

````yaml openapi.json POST /api/sandbox/{id}/snapshot
openapi: 3.0.1
info:
  title: Hyperbrowser API
  version: 1.0.0
servers:
  - url: https://api.hyperbrowser.ai
    description: Production server
security: []
paths:
  /api/sandbox/{id}/snapshot:
    post:
      tags:
        - Sandboxes
      summary: Create a sandbox memory snapshot
      parameters:
        - name: id
          in: path
          required: true
          description: Sandbox ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SandboxMemorySnapshotParams'
      responses:
        '200':
          description: Snapshot creation started
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxMemorySnapshotResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SandboxMemorySnapshotParams:
      type: object
      properties:
        snapshotName:
          type: string
          description: Name for the snapshot. Auto-generated when omitted.
      additionalProperties: false
    SandboxMemorySnapshotResponse:
      type: object
      properties:
        snapshotName:
          type: string
        snapshotId:
          type: string
          format: uuid
        namespace:
          type: string
        status:
          type: string
          description: Snapshot status (e.g. `creating`, `created`).
        imageName:
          type: string
        imageId:
          type: string
          format: uuid
        imageNamespace:
          type: string
      required:
        - snapshotName
        - snapshotId
        - namespace
        - status
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````